Bug Hunting Session
Bug 108512 - Style colors should only be included as document colors when assigned to content
Summary: Style colors should only be included as document colors when assigned to content
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Styles Document-Colors-Palette
  Show dependency treegraph
 
Reported: 2017-06-13 21:16 UTC by Thomas Lendo
Modified: 2017-06-26 21:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-06-13 21:16:19 UTC
Colors of any style shouldn't be shown in the document colors palette until the user has assigned a style with color to a text/object. I think that behavior wasn't tested when implementing the new color widget because default styles have no color until now.

Steps:
1) Open a new Writer document
2) Open the font color picker widget in the toolbar
3) Switch to document colors palette
4) Recognize that there is no color listed - close the widget
5) Right-click in the Writer page and select Edit style (no content should be written of this style!)
6) Change the font or background color to a color of your choice
7) Close the style dialog
8) Open the font color picker widget again
9) Switch to document colors palette

Actual:
The style's color is shown.

Expected:
As long as there is no content assigned with the style that has a color, no color should be shown in the document colors palette.

Version: 5.4.0.0.alpha0+
Comment 1 Yousuf Philips (jay) (retired) 2017-06-14 20:58:17 UTC
I would disagree, as i would expect the colors defined at the style level to appear in document colors. For example, if i opened a template which had various colors used in various styles, i would want to be able to see what colors are defined, even if the document is empty, so that i could utilize them.

UX-Team: What's your take?
Comment 2 Heiko Tietze 2017-06-15 09:57:42 UTC
(In reply to Yousuf Philips (jay) from comment #1)
>...For example, if i opened a template which had various colors used...

That was my first idea too. To change the style color is also a conscious interaction and users may wonder why it has no bearing on the document colors if we turn this around. -> WONTFIX
Comment 3 Yousuf Philips (jay) (retired) 2017-06-26 21:29:56 UTC
Lets close this then.

Cor, Stuart: If you guys disagree, please reopen.